%define Werror_cflags	%nil

%define	fname	tuxmath_w_fonts

# Summary and description stolen from Debian, thanks - AdamW 2009/01

Summary:	Math game for kids with Tux
Name:		tuxmath
Version:	2.0.3
Release:	%mkrel 4
# have to change with each new release as the number after download.php changes :(
Source0:	http://alioth.debian.org/frs/download.php/3470/%{fname}-%{version}.tar.gz
Patch0:		tuxmath_w_fonts-2.0.3-fix-localedir.patch
URL:		http://alioth.debian.org/frs/?group_id=31080
License:	GPLv3+
Group:		Games/Other
BuildRequires:	gettext-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_Pango-devel
BuildRequires:	SDL_net-devel
BuildRequires:	librsvg-devel
BuildRequires:	imagemagick
BuildRequires:	libt4k_common-devel
Requires:	t4k_common

%description
"Tux, of Math Command" ("TuxMath", for short) is an educational arcade
game starring Tux, the Linux mascot! Based on the classic arcade game
"Missile Command", Tux must defend his cities. In this case, though,
he must do it by solving math problems.

%prep
%setup -q -n %{fname}-%{version}
%apply_patches

%build
autoreconf -vfi
%configure2_5x	\
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir} \
	--localedir=%{_datadir}/locale
%make

%install
%makeinstall_std

rm -fr %{buildroot}%{_prefix}/doc

install -d %{buildroot}%{_datadir}/applications
cat <<EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=TuxMath
Comment=Math game for kids with Tux
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;KidsGame;Education;
EOF

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
convert -scale 16x16 data/images/icons/%{name}.ico %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert -scale 32x32 data/images/icons/%{name}.ico %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 48x48 data/images/icons/%{name}.ico %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS doc/changelog doc/README* doc/TODO*
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}admin
%{_gamesbindir}/%{name}server
%{_gamesbindir}/%{name}testclient
%{_gamesbindir}/generate_lesson
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.0.3-4.mga4
+ Revision: 530862
- Mageia 4 Mass Rebuild

* Mon Jul 29 2013 wally <wally> 2.0.3-3.mga4
+ Revision: 460511
- add patch to fix missing translations (mga#10871)

* Mon Jan 14 2013 umeabot <umeabot> 2.0.3-2.mga3
+ Revision: 384859
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 18 2011 fwang <fwang> 2.0.3-1.mga2
+ Revision: 144833
- fix desktop
- new version 2.0.3

* Sun Mar 27 2011 anaselli <anaselli> 1.9.0-1.mga1
+ Revision: 78121
- imported package tuxmath


* Fri Dec 24 2010 Jani Välimaa <wally@mandriva.org> 1.9.0-1mdv2011.0
+ Revision: 624614
- new version 1.9.0
- fix license
- drop support for old and unsupported mdv releases

* Fri Sep 24 2010 Funda Wang <fwang@mandriva.org> 1.8.0-1mdv2011.0
+ Revision: 580865
- BR rsvg
- BR SDL_net
- new version 1.8.0

* Mon Sep 28 2009 Antoine Ginies <aginies@mandriva.com> 1.7.2-2mdv2010.0
+ Revision: 450503
- bump release

* Sun May 10 2009 Frederik Himpe <fhimpe@mandriva.org> 1.7.2-1mdv2010.0
+ Revision: 374066
- Update to new version 1.7.2

* Sat Jan 03 2009 Adam Williamson <awilliamson@mandriva.org> 1.7.0-1mdv2009.1
+ Revision: 323565
- import tuxmath


